
DROP VIEW VIEWDOCENTR;

create view VIEWDOCENTR(CODIGOEMP,CODIGOUNIDADE,CHEGADA,TIPOEMPRESA,CODIGOEMPRESA,
            CODIGODOCUMENTO,SERIE,NUMERO, NUMNRM)  as   
    SELECT  
       ADMANRMC.ANRMC_EMPRESA,
       ADMANRMC.ANRMC_UNIDADE,
       SUBSTRING(ADMANRMC.ANRMC_DATA_CHE, 1, 4) +'/'+
       SUBSTRING(ADMANRMC.ANRMC_DATA_CHE, 5, 2) +'/'+
       SUBSTRING(ADMANRMC.ANRMC_DATA_CHE, 7, 2) ,
       ADMANRMC.ANRMC_TIPO,
       ADMANRMC.ANRMC_FORNECEDOR,
       ADMANRMC.ANRMC_TIPO_NF+'       ' ,
       ADMANRMC.ANRMC_SERIE_NF,
       SUBSTRING(ADMANRMC.ANRMC_NUM_NF, 1, 8),
       ADMANRMC.ANRMC_NUM_NRM 
    FROM  ADMANRMC 
    WHERE ADMANRMC.ANRMC_DATA_CHE <> '00000000' 
      AND LEN(RTRIM(ADMANRMC.ANRMC_NUM_NF)) < 9
      AND ISNUMERIC(ADMANRMC.ANRMC_NUM_NF) = 1 
      AND EXISTS (SELECT * FROM ADMANRFA 
            WHERE ADMANRFA.ANRFA_EMPRESA = ADMANRMC.ANRMC_EMPRESA
             AND  ADMANRFA.ANRFA_UNIDADE = ADMANRMC.ANRMC_UNIDADE
             AND  ADMANRFA.ANRFA_NUM_NRM = ADMANRMC.ANRMC_NUM_NRM)
    UNION ALL
    SELECT  
       ADMANRMC.ANRMC_EMPRESA,
       ADMANRMC.ANRMC_UNIDADE,
       SUBSTRING(ADMANRMC.ANRMC_DATA_CHE, 1, 4) +'/'+
       SUBSTRING(ADMANRMC.ANRMC_DATA_CHE, 5, 2) +'/'+
       SUBSTRING(ADMANRMC.ANRMC_DATA_CHE, 7, 2) ,
       ADMANRMC.ANRMC_TIPO,
       ADMANRMC.ANRMC_FORNECEDOR,
       ADMANRMC.ANRMC_TIPO_NF+'       ' ,
       ADMANRMC.ANRMC_SERIE_NF,
       SUBSTRING(ADMANRMC.ANRMC_NUM_NF, 2, 8),
       ADMANRMC.ANRMC_NUM_NRM 
    FROM  ADMANRMC 
    WHERE ADMANRMC.ANRMC_DATA_CHE <> '00000000' 
      AND LEN(RTRIM(ADMANRMC.ANRMC_NUM_NF)) = 9
      AND ISNUMERIC(ADMANRMC.ANRMC_NUM_NF) = 1 
      AND EXISTS (SELECT * FROM ADMANRFA 
            WHERE ADMANRFA.ANRFA_EMPRESA = ADMANRMC.ANRMC_EMPRESA
             AND  ADMANRFA.ANRFA_UNIDADE = ADMANRMC.ANRMC_UNIDADE
             AND  ADMANRFA.ANRFA_NUM_NRM = ADMANRMC.ANRMC_NUM_NRM)
    UNION ALL
    SELECT  
       ADMANRMC.ANRMC_EMPRESA,
       ADMANRMC.ANRMC_UNIDADE,
       SUBSTRING(ADMANRMC.ANRMC_DATA_CHE, 1, 4) +'/'+
       SUBSTRING(ADMANRMC.ANRMC_DATA_CHE, 5, 2) +'/'+
       SUBSTRING(ADMANRMC.ANRMC_DATA_CHE, 7, 2) ,
       ADMANRMC.ANRMC_TIPO,
       ADMANRMC.ANRMC_FORNECEDOR,
       ADMANRMC.ANRMC_TIPO_NF+'       ' ,
       ADMANRMC.ANRMC_SERIE_NF,
       SUBSTRING(ADMANRMC.ANRMC_NUM_NF, 3, 8),
       ADMANRMC.ANRMC_NUM_NRM 
    FROM  ADMANRMC 
    WHERE ADMANRMC.ANRMC_DATA_CHE <> '00000000' 
      AND LEN(RTRIM(ADMANRMC.ANRMC_NUM_NF)) > 9
      AND ISNUMERIC(ADMANRMC.ANRMC_NUM_NF) = 1 
      AND EXISTS (SELECT * FROM ADMANRFA 
            WHERE ADMANRFA.ANRFA_EMPRESA = ADMANRMC.ANRMC_EMPRESA
             AND  ADMANRFA.ANRFA_UNIDADE = ADMANRMC.ANRMC_UNIDADE
             AND  ADMANRFA.ANRFA_NUM_NRM = ADMANRMC.ANRMC_NUM_NRM)
    UNION ALL
    SELECT  
       ADMANRMC.ANRMC_EMPRESA,
       ADMANRMC.ANRMC_UNIDADE,
       SUBSTRING(ADMANRMC.ANRMC_DATA_CHE, 1, 4) +'/'+
       SUBSTRING(ADMANRMC.ANRMC_DATA_CHE, 5, 2) +'/'+
       SUBSTRING(ADMANRMC.ANRMC_DATA_CHE, 7, 2) ,
       ADMANRMC.ANRMC_TIPO,
       ADMANRMC.ANRMC_FORNECEDOR,
       ADMANRMC.ANRMC_TIPO_NF+'       ' ,
       ADMANRMC.ANRMC_SERIE_NF,
       SUBSTRING(ADMANRMC.ANRMC_NUM_NF, 1, 8),
       ADMANRMC.ANRMC_NUM_NRM 
    FROM  ADMANRMC 
    WHERE ADMANRMC.ANRMC_DATA_CHE <> '00000000' 
      AND ISNUMERIC(ADMANRMC.ANRMC_NUM_NF) = 0
      AND EXISTS (SELECT * FROM ADMANRFA 
            WHERE ADMANRFA.ANRFA_EMPRESA = ADMANRMC.ANRMC_EMPRESA
             AND  ADMANRFA.ANRFA_UNIDADE = ADMANRMC.ANRMC_UNIDADE
             AND  ADMANRFA.ANRFA_NUM_NRM = ADMANRMC.ANRMC_NUM_NRM)
    UNION ALL
    SELECT  
       ADMANRFE.ANRFE_EMPRESA,
       ADMANRFE.ANRFE_UNIDADE,
       SUBSTRING(ADMANRFE.ANRFE_DATA_CHE, 1, 4) +'/'+
       SUBSTRING(ADMANRFE.ANRFE_DATA_CHE, 5, 2) +'/'+
       SUBSTRING(ADMANRFE.ANRFE_DATA_CHE, 7, 2) ,
       ADMANRFE.ANRFE_TIPO_TRANS,
       ADMANRFE.ANRFE_COD_TRANS,
       ADMANRFE.ANRFE_TIPO_NF+'       ' ,
       ADMANRFE.ANRFE_SERIE_NF,
       SUBSTRING(ADMANRFE.ANRFE_NUM_NF, 1, 8),
       ADMANRFE.ANRFE_NUM_NRM 
    FROM  ADMANRFE
    WHERE ADMANRFE.ANRFE_DATA_CHE <> '00000000' 
      AND LEN(RTRIM(ADMANRFE.ANRFE_NUM_NF)) < 9
      AND ISNUMERIC(ADMANRFE.ANRFE_NUM_NF) = 1 
      AND EXISTS (SELECT * FROM ADMANRFR 
            WHERE ADMANRFR.ANRFR_EMPRESA = ADMANRFE.ANRFE_EMPRESA
             AND  ADMANRFR.ANRFR_UNIDADE = ADMANRFE.ANRFE_UNIDADE
             AND  ADMANRFR.ANRFR_NUM_NRM = ADMANRFE.ANRFE_NUM_NRM)
    UNION ALL
    SELECT  
       ADMANRFE.ANRFE_EMPRESA,
       ADMANRFE.ANRFE_UNIDADE,
       SUBSTRING(ADMANRFE.ANRFE_DATA_CHE, 1, 4) +'/'+
       SUBSTRING(ADMANRFE.ANRFE_DATA_CHE, 5, 2) +'/'+
       SUBSTRING(ADMANRFE.ANRFE_DATA_CHE, 7, 2) ,
       ADMANRFE.ANRFE_TIPO_TRANS,
       ADMANRFE.ANRFE_COD_TRANS,
       ADMANRFE.ANRFE_TIPO_NF+'       ' ,
       ADMANRFE.ANRFE_SERIE_NF,
       SUBSTRING(ADMANRFE.ANRFE_NUM_NF, 2, 8),
       ADMANRFE.ANRFE_NUM_NRM 
    FROM  ADMANRFE
    WHERE ADMANRFE.ANRFE_DATA_CHE <> '00000000' 
      AND LEN(RTRIM(ADMANRFE.ANRFE_NUM_NF)) = 9
      AND ISNUMERIC(ADMANRFE.ANRFE_NUM_NF) = 1 
      AND EXISTS (SELECT * FROM ADMANRFR 
            WHERE ADMANRFR.ANRFR_EMPRESA = ADMANRFE.ANRFE_EMPRESA
             AND  ADMANRFR.ANRFR_UNIDADE = ADMANRFE.ANRFE_UNIDADE
             AND  ADMANRFR.ANRFR_NUM_NRM = ADMANRFE.ANRFE_NUM_NRM)
    UNION ALL
    SELECT  
       ADMANRFE.ANRFE_EMPRESA,
       ADMANRFE.ANRFE_UNIDADE,
       SUBSTRING(ADMANRFE.ANRFE_DATA_CHE, 1, 4) +'/'+
       SUBSTRING(ADMANRFE.ANRFE_DATA_CHE, 5, 2) +'/'+
       SUBSTRING(ADMANRFE.ANRFE_DATA_CHE, 7, 2) ,
       ADMANRFE.ANRFE_TIPO_TRANS,
       ADMANRFE.ANRFE_COD_TRANS,
       ADMANRFE.ANRFE_TIPO_NF+'       ' ,
       ADMANRFE.ANRFE_SERIE_NF,
       SUBSTRING(ADMANRFE.ANRFE_NUM_NF, 3, 8),
       ADMANRFE.ANRFE_NUM_NRM 
    FROM  ADMANRFE
    WHERE ADMANRFE.ANRFE_DATA_CHE <> '00000000' 
      AND LEN(RTRIM(ADMANRFE.ANRFE_NUM_NF)) > 9
      AND ISNUMERIC(ADMANRFE.ANRFE_NUM_NF) = 1 
      AND EXISTS (SELECT * FROM ADMANRFR 
            WHERE ADMANRFR.ANRFR_EMPRESA = ADMANRFE.ANRFE_EMPRESA
             AND  ADMANRFR.ANRFR_UNIDADE = ADMANRFE.ANRFE_UNIDADE
             AND  ADMANRFR.ANRFR_NUM_NRM = ADMANRFE.ANRFE_NUM_NRM)
    UNION ALL
    SELECT  
       ADMANRFE.ANRFE_EMPRESA,
       ADMANRFE.ANRFE_UNIDADE,
       SUBSTRING(ADMANRFE.ANRFE_DATA_CHE, 1, 4) +'/'+
       SUBSTRING(ADMANRFE.ANRFE_DATA_CHE, 5, 2) +'/'+
       SUBSTRING(ADMANRFE.ANRFE_DATA_CHE, 7, 2) ,
       ADMANRFE.ANRFE_TIPO_TRANS,
       ADMANRFE.ANRFE_COD_TRANS,
       ADMANRFE.ANRFE_TIPO_NF+'       ' ,
       ADMANRFE.ANRFE_SERIE_NF,
       SUBSTRING(ADMANRFE.ANRFE_NUM_NF, 1, 8),
       ADMANRFE.ANRFE_NUM_NRM 
    FROM  ADMANRFE
    WHERE ADMANRFE.ANRFE_DATA_CHE <> '00000000' 
      AND ISNUMERIC(ADMANRFE.ANRFE_NUM_NF) = 0
      AND EXISTS (SELECT * FROM ADMANRFR 
            WHERE ADMANRFR.ANRFR_EMPRESA = ADMANRFE.ANRFE_EMPRESA
             AND  ADMANRFR.ANRFR_UNIDADE = ADMANRFE.ANRFE_UNIDADE
             AND  ADMANRFR.ANRFR_NUM_NRM = ADMANRFE.ANRFE_NUM_NRM); 

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'NRMs com compromisso a pagar por Empresa, Unidade, Data de Chegada' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWDOCENTR';